Differences between versions of the SL6 software starting from Ver. 3.00

Ver. 4.97 2025-05-21
  - Remove password bypass vulnerability
    - Enter disabled state when the "no password" timer expires
    - Timer - technician has 10 minutes to connect and configure
    - BLE interface disabled until reset button press or power cycle after timer expires

Ver. 4.96 2025-03-20
  - Fixes if net status indication stuck
  - Bugfix: Wrong Cops mode
  - Fix logic for ping and network registration
  - Change PDP Context from 'IPV4V6' to 'IP' (per Telit recommendations)
  - Force restart on OP_ERROR
  - Move module version check to run when response is received
  - Warm restart GSM module on multiple ping failures
  - Add logic for ping and action upon failure
    - If ping gets timeout: deregister and register from cell network
  - Add parameters needed for ping
  - Enable PDP context only if NIF is enabled

Ver. 4.95 2024-08-26
  - Add APN configuration
    - Set APN string and enable PDP context
    - Run SGACT (PDP_CONTEXT_ENABLE) last
  - Add parameter for enable/disable NIF
  - Add fire mode PTT/VOX configuration
  - Store info if no IF board is detected

Ver. 4.94 2024-06-25
  - Add check for HW version of GSM module board
    - Extend delay for ethernet enable command due to long delays
    - Detect and enable HSIC configuration as HSIC master (reboot required if enabled)
    - Ethernet status command detects no connection (ETHSTATUS: 0,0 with interval of 40 seconds)
    - Bump version number and amend Telit's version number
  - Set volume to 1 as default on GmsModule HW5/HW6

Ver. 4.93 2023-01-31
  - Support for SL6P2 revision where amplifier filter has been removed.

Ver. 4.92 2022-09-12
  - Increased P100 acknowledge timeout.
  - Send pending test alarm when interfaces has been offline.
  - Decreased GSM offline detection for collective fault to 2 minutes.
  - Added parameter to control the timeout of when to restart GSM module when offline.
  - Fixed an issue where a GSM online check call that was busy was not detected as a working interface.
  - Fixed an issue where distress message did not play.
  - Fixed an issue where distress message period parameter were not transferred via SMS.
  - Fixed an issue where distress message was not played periodically when alarm type was voice.
  - Fixed an issue which could prevent speech and tone detection from working.
  - Fixed an issue where the GSM module version was truncated in the SMS notification to Orion.
  - Fixed an issue where mic/speaker test failure did not release the collective fault relay.
  - Fixed an issue where dual test alarms did not work with caller ID.

Ver. 4.91 2022-02-24
  - Collective fault relay updates:
    - The relay state depends on battery detected/health, mic and speaker test, main power, interface online,
      test alarm, car unit present and button check.
    - An interface is considered online, if a call can be made.
  - Updated default values for filter delay and inter-SMS timeout.
  - Support for periodic distress message.
  - Fixed an issue where no dial tone/distress message played when activating emergency call by calling the SL6.
  - Fixed an issue where SL6 tries to initialize GSM module even when it is not attached.
  - Fixed an issue where alarm calls were dropped with no retry.
  - Fixed an issue for SL6P2 where it would restart on USB attach/detach.
  - Fixed an issue where VoLTE does not work with Deutsche Telekom.
    - Requires an updated LE910C1 firmware.

Ver. 4.83 2021-12-13
  - Collective fault relay updates:
    - The relay state depends on battery detected/health, mic and speaker test, main power, interface online,
      test alarm, car unit present and button check.
    - An interface is considered online, if a call can be made.
  - Support for CRC validation during SMS configuration.
  - Updated default values for filter delay and inter-SMS timeout.
  - Support for updated LE910C1 firmware.
  - Support for fire mode relay output.
  - Fixed an issue where no dial tone/distress message played when activating emergency call by calling the SL6.
  - Fixed an issue where LE910C1 (4G only) failed to set networks if data was disabled on sim card.
  - Fixed an issue where dual test alarms caused a test call failed when one interfaces was not available.
  - Fixed an issue where periodic distress messages could interfere with dialing, progress tone detection and DTMF protocols.
  - Fixed an issue where SMS could not be sent or received during PSTN calls.
  - Fixed an issue where one could access the incorrect device via SMS protocol.
  - Fixed an issue where all interfaces were not restarted when configuration mode is exited.
  - Fixed an issue where SL6 tries to initialize GSM module even when it is not attached.
  - Fixed an issue where GSM net lost detection was not working.
  - Fixed an issue where alarm calls were dropped with no retry.

Ver. 4.90 2021-11-26
  - Support for SL6P2
  - Support for firmware update via BLE.
    - Need bootloader version 3.0 or above.
  - Support for updated LE910C1 firmware.
  - Improved support for changing cellular network types (2G/3G/4G) for LE910C1.
  - Support for activating relay during fire mode.
  - Support for CRC in SMS config communication.
  - Serial number moved to separate flash sector.
  - Added parameter to control whether or not to disconnect call when new dial tone is detected.
  - Disabled periodic distress message as it could interfere with DTMF signalling and progress tone detection.
  - Fixed an issue where LE910C1 did not support VoLTE for a number of GSM operators.
  - Fixed an issue where the wrong message was played when simulating an alarm by calling the device.
  - Fixed an issue where dual test alarms caused a test call failed when one interfaces was not available.
  - Fixed an issue where periodic distress messages could interfere with dialing, progress tone detection and DTMF protocols.
  - Fixed an issue where SMS could not be sent or received during PSTN calls.
  - Fixed an issue where one could access the incorrect device via SMS protocol.
  - Fixed an issue where GSM net lost detection was not working.
  - Fixed an issue where not all interfaces were restarted after reconfiguration.
  - Fixed an issue where the cellular interface were initialized even though it was not attached.

Ver. 4.82 2021-02-24:
 - Added auto-enable BLE parameter.
 - Added password attempts prevention.
 - Added possibility to prolong disabled BLE password using reset button when BLE is auto-enabled.

Ver. 4.81 2020-12-15:
 - Fixed an issue where stored randomized pin got cleared at configuration update.
 - Fixed an issue where test alarms were not randomized if power on alarm was enabled.
 - Fixed an issue where an incorrect OP fail code was generated when main power returned.
 - Fixed an issue where LE910C1 sometimes could not be initiated (OOBTSET command returned an error).

Ver. 4.80 2020-08-26:
 - Restart unit using DTMF (01...*37*#).
 - Added separate status for PSTN and GSM in unit status in test mode.
 - Added simulated alarm on specific interface.
 - Added SMS binary protocol (read/write config, status of unit, reset unit, simulate alarm).
   - New parameter for SMS binary protocol messages destination. Requires an international number.
   - New parameter for inter-SMS message timeout. Set to 2min in factory defaults.
 - Added power on/restart test alarm and test alarm at reconfiguration.
   - New parameter to enable this behavior, default disabled.
 - Test alarm timer is reset when a simulated test alarm is sent.
 - Config UART can be used to log debug output from the SL6.
   - New parameter to enabled/disable debug output.
   - Debug output is disabled, if incoming data on config UART is detected.
 - Include system failure relay functionality in DB system failure relay configuration.
 - Periodically (20s) play distress message until operator responds.
 - Send primary call failed LMS fallback alarm when second interface is used.
 - Improved SMS error handling (retry and reset module).
 - Fixed an issue where IMEI was not read if PSTN was priority.
 - Fixed an issue where an SMS-only test alarm would not reset simulated alarm call flags.
 - Fixed an issue where USB communication used the wrong data length for test commands.
 - Fixed an issue where self-test in diagnostics fails if relay was toggled.
 - Fixed an issue where internal timers could time out too early (minor).
 - Fixed an issue where extra non-periodic stuck button alarms could be sent.
 - Fixed an issue where the SL6 could restart if an audio message was played when checking battery status.
 - Fixed an issue where SMS with multiple lines failed to be sent with LE910C1.
 - Fixed an issue where AT prompt was not detected correctly which in turn caused timing issues for LE910C1.

Ver. 4.71 2019-11-18:
- Fixed SIM unlock problem when using GL865 or MC55i GSM Interface boards

Ver. 4.70 2019-10-31:
 - Disabled emergency bell in all bus units at emergency button test
 - Added fixed PSTN FallBack alarm delay 10 minutes if unit number is used
 - Added support for extended character set in SMS messages
 - Improved PSTN ring-back tone handling
 - Fixed problem with relay output status when closing the test function dialog
 - Added support for LE910C1 2G/3G/4G GSM-Interface

Ver. 4.60 2019-04-02:
 - Added 'Battery Voltage Low' P100 OpFail alarm
 - Added configurable input filter time 0 - 30 seconds
 - Added 'Test Alarm Failure' handling
 - Added configurable Hands-free Mode

Ver. 4.51 2018-11-05:
	- Added parameter for disabling the GSM Interface
	- Added manual activation of 'Emergency Button Check'
	- Added ProLink configuration support for additional parameters
	- Fixed problem with RSSI Indication when FallBack is enabled
	- Added disabling of relay output configuread as 'Manual Reset' when active alarm is cleared
	- Fixed COM LED indication problem when using the 'Disable GSM Interface' function
	- Changed LMS Input 2 to 'Function None' as factory default
	- Fixed problem with SMS addressing (2 instead of 3)

Ver. 4.50 2018-04-09:
  - Added Test Alarm configuration in hours
  - Added configurable call retry attempts (4 - 12)
  - Added configurable (On/Off) test call using the configuration handset
  - Added relay output selection: 'Emergency Button Check'
  - Added sending an OpFail message when mains power returns after a mains failure
  - Added support for reading the name of the GSM operator using the SafeLine App.
  - Added extended FallBack functionality
  - Added sending 'FallBack Alarm' LMS messages when Line/Net conditions changes
  - Added sending LMS messages at call failure conditions
  - Added relay output selection: 'Call Retry Failure'
  - Added support for emergency light in Car Top/Lift Pit units
  - Added relay output selection: 'DB System Failure'

Ver. 4.47 2018-03-01:
  - Adjusted DTMF tone levels
  - Added Voice Detect Delay
  -	Fixed P100 retry problem at interrupted GSM call

Ver. 4.46 2017-06-30:
	- Improved HW Version handling

Ver. 4.45 2017-01-23:
	- Added support for LE910 2G/3G/4G GSM-Interface
	- Added support for P100 OpFail SMS
	- Added support for SST26VF032B Serial Flash Memory
	- Improved AddSecure GSM Board error handling
	- Added timeout when waiting for DTMF dial in external GSM call

Ver. 4.40 2016-08-22:
  - Added support for the CanOpen I/F board
  - Added variable Line RX audio level (*96*) (Implemented from HW-Version 1.41)
  - Added configurable background sound compensation (*97*)

Ver. 4.30 2015-12-09:
	- Added support for AddSecure GSM-Board
 	- Added production test support for BLE-Module
 	- Added production test support for RTC

Ver. 4.21 2015-08-13:
  - Fixed battery discharge problem

Ver. 4.20 2015-06-16:
	- Added support for configuration using 'Connect'
	- Added manual configuration of LMS inputs (*73* and *74*)
	- Added FireMode indication at 'COM' indicator
	- Added battery connected check at startup
	- Incoming calls are routed to the bus unit that caused the last call (Active Alarm)
	- Added transmission of periodic SMS at a configurable interval
	- Fixed problem with LMS messages that stopped working after 12 call re-tries
	- Added handling of 'white space' characters in modem command strings

Ver. 4.12 2015-02-05:
  - Fixed problem disconnecting at speech misinterpreted as busy tones

Ver. 4.11 2014-08-08:
  - Fixed problem with random GSM PIN-code beeing deleted at firmware update

Ver. 4.10 2014-05-08:
 - Added support for 'General Intercom'
 - Added special 'Set Default' (*99*20) for ELSECO

Ver. 4.01 2014-02-24:
 - Fixed GSM module restart problem when using GL865 GSM Module
 - Added handling of SIM-cards with long unlock time

Ver. 4.00 2013-11-28:
 - Added separate relay handling
 - Added unit notes parameter
 - Repeat LMS alarms function (*39*)
 - Set 'Fire Mode' as default for LMS-input 2
 - Set 'Silent Disconnect' to 60 seconds as default
 - Firmware update using serial port removed (USB only)

Ver. 3.32 2013-03-19:
 - Disabled 'Ring-back' tone detection in voice communication mode
 - Improved CPC alarm code transmission
 - Set Tone/Voice Detection (*95*) to 'UK' as factory default

Ver. 3.31 2012-11-29:
 - Fixed problems with test commands for production tests

Ver. 3.30 2012-11-28:
  - Added support for configuration using USB
  - Added support for firmware update using USB
  - Added support for modem communication using the GSM module (SL6 GSM)
  - Fixed problem with random GSM PIN-code not beeing permanently stored

Ver. 3.21 2012-09-03:
 - Added manual configuration (*95*) of Tone/Voice Detection (Standard/UK)
 - Removed emergency light power off after 2 hours
 - Added call filtering to the 'Call Delay' input function

Ver. 3.20 2012-06-27:
 - Added PSTN/GSM FallBack function

Ver. 3.14 2012-04-24:
 - Added AlarmOperatorMode: Swiss-M at incoming calls
 - Fixed missing self test function
 - Improved dial tone detection for UK
 - Improved RX Data detection immunity to voice frequencies

Ver. 3.13 2012-03-22:
 - Fixed problem with busy disconnect when an incoming call in progress

Ver. 3.12 2012-03-20:
 - Changed commands for AlarmOperatorMode: Easy A
 - Added support for playing voice message at incoming call by pressing '1'

Ver. 3.11 2012-03-16:
 - Added special 'Set Default' (*99*10/11) for DK
 - Added filtering of bus failure alarms
 - Added limit of max 5 bus failure alarm calls per day
 - Fixed problem with busy disconnect when a call is in progress

Ver. 3.10 2012-02-14:
 - Added emergency input using LMS Input 1/2
 - Added AlarmOperatorMode: Easy A
 - Added call delay using LMS Input 1/2
 - Added local configuration of 'Emergency Bell' for Bus Unit 1 - 6 (*90*)
 - Added Power Off using Reset Button (when battery powered)
 - Added SMS character (æ, Æ, ø, Ø) support for DK.

Ver. 3.01 2012-01-09:
 - Increased intercom timeout from 30 seconds to 5 minutes.

Ver. 3.00 2011-12-12:
 - First released version.
